///////////////////////////////////////////////////////////////////////////////////
#ifndef SLS_ACOPARAMS
#define SLS_ACOPARAMS

class AcoParams {
private:
	double alpha;
	double beta;
	double rho;
	double q;
	int n_replicate;
	int n_ant;
	int n_city;
	double init_tau;
	double p_fancy;
	double weight;
public:
	AcoParams();
	void setAlpha(double d);
	double getAlpha();
	void setBeta(double d);
	double getBeta();
	void setRho(double d);
	double getRho();
	void setQ(double d);
	double getQ();
	void setN_replicate(int i);
	int getN_replicate();
	void setN_ant(int i);
	int getN_ant();
	void setN_city(int i);
	int getN_city();
	void setInit_tau(double d);
	double getInit_tau();
	void setP_fancy(double d);
	double getP_fancy();
	void setWeight(double d);
	double getWeight();
	bool isRandomize();
};

#endif //SLS_ACOPARAMS